
#include <iostream>
#include <iomanip>
#include <map>
#include <algorithm>

using namespace std;

int main(void){
	int n;
	cin >> n;
	map<pair<string,char>,int> board;
	int tbl[128][3];
	for(int i='A';i<='I';i++)
		for(int j=0;j<3;j++)
			tbl[i][j] = 0;
	while(n--){
		int t;
		string name;
		char prob, res;
		cin >> t >> name >> prob >> res;
		if(board.find(make_pair(name,prob))==board.end())
			board[make_pair(name, prob)] = 0;
		if(board[make_pair(name, prob)] == -1) continue;
		if(res == 'A'){
			tbl[prob][0] += t;
			tbl[prob][1] ++;
			tbl[prob][2] += board[make_pair(name,prob)]+1;
			board[make_pair(name,prob)] = -1;
		}else{
			board[make_pair(name,prob)]++;
		}
	}
	for(char i='A'; i<='I'; i++){
		printf("%c %d",i, tbl[i][1]);
		if(tbl[i][1] != 0){
			int t;
			t = (tbl[i][2]*100+tbl[i][1]/2)/tbl[i][1];
			printf(" %d.%02d",t/100, t%100);
			t = (tbl[i][0]*100+tbl[i][1]/2)/tbl[i][1];
			printf(" %d.%02d",t/100, t%100);
		}
		puts("");
	}
}
